### Class

# Gck Slot

#### Description [src]

    final class Gck.Slot : GObject.Object
    {
      /* No available fields */
    }

Represents a PKCS#11 slot that can contain a token.

A PKCS#11 slot can contain a token. As an example, a slot might be a card reader, and the token the card. If the PKCS#11 module is not a hardware driver, often the slot and token are equivalent.

#### Hierarchy

#### Ancestors

- GObject

#### Functions

###### gck_slot_from_handle

Create a new GckSlot object for a raw PKCS#11 handle.

#### Instance methods

###### gck_slot_enumerate_objects

Setup an enumerator for listing matching objects on the slot.

###### gck_slot_equal

Checks equality of two slots. Two GckSlot objects can point to the same underlying PKCS#11 slot.

###### gck_slot_get_handle

Get the raw PKCS#11 handle of a slot.

###### gck_slot_get_info

Get the information for this slot.

###### gck_slot_get_mechanism_info

Get information for the specified mechanism.

###### gck_slot_get_mechanisms

Get the available mechanisms for this slot.

###### gck_slot_get_module

Get the module that this slot is on.

###### gck_slot_get_token_info

Get the token information for this slot.

###### gck_slot_has_flags

Check if the PKCS11 slot has the given flags.

###### gck_slot_hash

Create a hash value for the GckSlot.

###### gck_slot_match

Check whether the PKCS#11 URI matches the slot.

###### gck_slot_open_session

Open a session on the slot. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

###### gck_slot_open_session_async

Open a session on the slot. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

###### gck_slot_open_session_finish

Get the result of an open session operation. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

###### gck_slot_open_session_full

Open a session on the slot. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

###### gck_slot_open_session_full_async

Open a session on the slot. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gck.Slot:handle

The raw CK_SLOT_ID handle of this slot.

###### Gck.Slot:module

The PKCS11 object that this slot is a part of.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GckSlotClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.